Debian Bug report logs - #650777
libgnomecanvas: Please mark libgnomecanvas-common Multi-Arch: foreign

version graph

Package: libgnomecanvas; Maintainer for libgnomecanvas is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Fri, 2 Dec 2011 20:54:05 UTC

Severity: normal

Tags: patch

Found in version 2.30.3-1

Fixed in version libgnomecanvas/2.30.3-1.1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#650777; Package libgnomecanvas. (Fri, 02 Dec 2011 20:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 02 Dec 2011 20:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgnomecanvas: Please mark libgnomecanvas-common Multi-Arch: foreign
Date: Fri, 02 Dec 2011 12:52:33 -0800
[Message part 1 (text/plain, inline)]
Package: libgnomecanvas
Version: 2.30.3-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi folks,

Although libgnomecanvas is deprecated, there are third-party binary-only
packages in the wild that depend on it.  As a result, I think it's
worthwhile to have the package multiarch cross-installable.

To this end, please find attached a patch that marks libgnomecanvas2-common
Multi-Arch: foreign.  This patch has been applied in Ubuntu; I have not
taken the time to make libgnomecanvas2-0 co-installable, since users are
unlikely to need this library installed for more than one architecture at a
time.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libgnomecanvas_2.30.3-1ubuntu1.debdiff (text/x-diff, attachment)]

Added indication that bug 650777 blocks 677762 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 19:06:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#650777; Package libgnomecanvas. (Sun, 14 Oct 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 12:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 650777@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 650777@bugs.debian.org
Subject: NMU for multi-arch release goal
Date: Sun, 14 Oct 2012 14:01:44 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm uploading an NMU following attached patch to fix this bug for the
multi-arch release goal. It's relevant because it's one of the packages
currently contained in ia32-libs-gtk, which is going away.

Cheers,
Thijs
[gnomecanvas_nmu.diff (text/x-patch, attachment)]

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sun, 14 Oct 2012 12:21:07 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Sun, 14 Oct 2012 12:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 650777-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 650777-close@bugs.debian.org
Subject: Bug#650777: fixed in libgnomecanvas 2.30.3-1.1
Date: Sun, 14 Oct 2012 12:17:50 +0000
Source: libgnomecanvas
Source-Version: 2.30.3-1.1

We believe that the bug you reported is fixed in the latest version of
libgnomecanvas, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated libgnomecanvas package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Oct 2012 11:10:26 +0000
Source: libgnomecanvas
Binary: libgnomecanvas2-0 libgnomecanvas2-dev libgnomecanvas2-common libgnomecanvas2-doc libgnomecanvas2-dbg
Architecture: source all amd64
Version: 2.30.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 libgnomecanvas2-0 - powerful object-oriented display engine - runtime files
 libgnomecanvas2-common - powerful object-oriented display engine - common files
 libgnomecanvas2-dbg - powerful object-oriented display engine - debugging symbols
 libgnomecanvas2-dev - powerful object-oriented display engine - development files
 libgnomecanvas2-doc - powerful object-oriented display engine - documentation files
Closes: 650777
Changes: 
 libgnomecanvas (2.30.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Convert package to Multiarch by applying patches from
     Adam Stokes and Steve Langasek (closes: #650777).
Checksums-Sha1: 
 b79e1366a6a806398a5f98244b06988331242727 2111 libgnomecanvas_2.30.3-1.1.dsc
 22fb03eb79e0ff6f749a00df03e6c0dfed4ba8ba 6923 libgnomecanvas_2.30.3-1.1.debian.tar.gz
 5bd16ca756cce15346fa46b35bada8403f69c1ad 133288 libgnomecanvas2-common_2.30.3-1.1_all.deb
 3e09c6567d4e538bd9a0a194afff46e3ecaf1e13 70468 libgnomecanvas2-doc_2.30.3-1.1_all.deb
 fd96c97aa27bf54406177028ae05ae1d8bd2690f 111636 libgnomecanvas2-0_2.30.3-1.1_amd64.deb
 61e4a9889ca75b9cf0868438b6e74e41fffcd74c 129314 libgnomecanvas2-dev_2.30.3-1.1_amd64.deb
 1b9366a99cb39e07bcbd6d2b38c320778c473920 261324 libgnomecanvas2-dbg_2.30.3-1.1_amd64.deb
Checksums-Sha256: 
 32e29abac7b3a392727932c0f6ac353c185b3d3d82836b936152f0e64a3889f1 2111 libgnomecanvas_2.30.3-1.1.dsc
 395ff9317e0c596b65de085e6ea36eef9ebf5ac49ba65cd4cb1dc6f2b5d0b64f 6923 libgnomecanvas_2.30.3-1.1.debian.tar.gz
 e612baaee6fdc3bd261bb9f2b0f974c7d5212299d6792a594639f0b8ea8138e1 133288 libgnomecanvas2-common_2.30.3-1.1_all.deb
 408780cc3df8ef850e5b468ecf11d936636beb0bedf74b1c0a7fc8cb3dbe6053 70468 libgnomecanvas2-doc_2.30.3-1.1_all.deb
 ad2a7c0ea61424b96030ffde26dc9857a70af1f931a8ccc8509c0f6fb015da79 111636 libgnomecanvas2-0_2.30.3-1.1_amd64.deb
 2158429b42d21247737b3238cf00b8b3198cf5e970ad2d009617051d677ac18b 129314 libgnomecanvas2-dev_2.30.3-1.1_amd64.deb
 ff3721e3317aaa4ee57827b7d2c0a22a70e48b554f3eb1eefa297925ad327fdf 261324 libgnomecanvas2-dbg_2.30.3-1.1_amd64.deb
Files: 
 c5cc88b66b0b21dfddf9b10b426ad0c7 2111 devel optional libgnomecanvas_2.30.3-1.1.dsc
 0eec8e71e4b4a7bd5b786fd639464c0b 6923 devel optional libgnomecanvas_2.30.3-1.1.debian.tar.gz
 ac424af8b0dd4a67b345d57fca1250a2 133288 x11 optional libgnomecanvas2-common_2.30.3-1.1_all.deb
 09956e06f90415113c1fee9d9acafeec 70468 doc optional libgnomecanvas2-doc_2.30.3-1.1_all.deb
 4ed31cdc4f60f439e5bdfbaf4488d68f 111636 libs optional libgnomecanvas2-0_2.30.3-1.1_amd64.deb
 c8421d1b28e6cac2490af46c0b2251ef 129314 libdevel optional libgnomecanvas2-dev_2.30.3-1.1_amd64.deb
 7bd1e4b89c623d444315728685274754 261324 debug extra libgnomecanvas2-dbg_2.30.3-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJQeqkrAAoJEFb2GnlAHawEMNQIALJZEdlo/yHUJh+MHy3Eeto/
JAzGceRaQHVdj7A9XB5SfxQH2FFZLt0g/Rw1bkdgora6Iq1xl6r2vdqn4Qy1wilH
AKaJIJTq4cSfRb3gn31Xg9Kjh4gJ2aoCXB0PPIcyrFMtc1RgjU8QL3YOqThR5JIs
AWijQGZOOwwbFRPRX+kc6F2SbgSo+Pf//2Np4U8naveKLo6fHpjMEkmiWu0IQy5s
K4+Xg1FpTpJf1gNi6gtOZ9mREvIs1NTd+EmIuwsy8dq0xfY85NY/saz9vho2t58L
G/lmFnrev+OXAikCCnbQIs4OAseTvww/XrzCNWSUtJ6QmvTspmA1qyeSjxM18ZU=
=Fs7i
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#650777; Package libgnomecanvas. (Sun, 14 Oct 2012 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 17:57:06 GMT) Full text and rfc822 format available.

Message #22 received at 650777@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 650777@bugs.debian.org
Subject: NMU for multi-arch release goal
Date: Sun, 14 Oct 2012 19:55:45 +0200
[Message part 1 (text/plain, inline)]
Hi,

As discussed on IRC, this needs to coincide with changes to libglade2
which we cannot be making now. (At lest for now) I've reverted the
complete MA-ifying changes and left only the marking as multi-arch:
foreign which was the original request in the bug.

Attached the diff for the new NMU, and a convenience diffs of the net
result of the two NMU's of today.

Sorry for the inconvenience.


Cheers,
Thijs
[gnomecanvas_nmu2.diff (text/x-patch, attachment)]
[gnomecanvas_netnmu.diff (text/x-patch, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Nov 2012 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.